#
# spec file for package schedctl
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           schedctl
Version:        1.0.1
Release:        1.1
Summary:        Linux eBPF sched_ext plug and play schedulers for fun and profit
License:        Apache-2.0
URL:            https://github.com/schedkit/schedctl
Source:         %{name}-%{version}.tar.gz
Source1:        vendor.tar.gz
BuildRequires:  golang(API) >= 1.23
BuildRequires:  libbtrfs-devel
BuildRequires:  libgpgme-devel
Requires:       (podman or containerd)

%description
eBPF sched_ext plug and play containerized schedulers for fun and profit

%prep
%autosetup -a 1

%build
%ifnarch ppc64
export GOFLAGS="-buildmode=pie"
%endif
go build -ldflags='-s -X main.version=%{version}' -o=./schedctl main.go

%install
install -D -m 0755 %{name} "%{buildroot}/%{_bindir}/%{name}"

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Sat Jun  7 2025 Alessio Biancalana <dottorblaster@opensuse.org>
- Update the summary to capitalize the first letter
- Update to version 1.0.1:
  * doc: please run as root when needed
  * doc: update readme with container engine setup instructions
  * chore: add new schedulers to the schedulers list
* Mon Jun  2 2025 Alessio Biancalana <dottorblaster@opensuse.org>
- Fixed package summary
* Sat May 24 2025 Alessio Biancalana <dottorblaster@opensuse.org>
- Initial packaging for schedctl 1.0.0
